Package com.jangular.backend.security.jwt

# Class JwtAuthenticationEntryPoint

java.lang.Object
com.jangular.backend.security.jwt.JwtAuthenticationEntryPoint

All Implemented Interfaces:
  `org.springframework.security.web.AuthenticationEntryPoint`

@Component public class JwtAuthenticationEntryPoint extends Object implements org.springframework.security.web.AuthenticationEntryPoint

## Constructor Summary

Constructors
Constructor
Description
`JwtAuthenticationEntryPoint()`

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JwtAuthenticationEntryPoint

public JwtAuthenticationEntryPoint()

## Method Details

### commence

public void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException) throws IOException

Specified by:
  `commence` in interface `org.springframework.security.web.AuthenticationEntryPoint`
Throws:
  `IOException`